Cyberduck Mountain Duck CLI

#6568 closed enhancement (fixed)

Translation to Arabic language

Reported by: islandarmor Owned by: dkocher
Priority: normal Milestone: 4.3
Component: localization Version: 4.2.1
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Hi,

I know that this is not a bug but I don't know how to contact Mr. David Kocher

I want to provide any help that i can afford to this grate app :)

By the way, from the first look at the help pages

I found I need to translate the all files that end with .strings that are in this link (( http://trac.cyberduck.ch/browser/trunk/en.lproj)) right ?

I know that i should just replace the words between the quotations

This is my email if you need to contact me i

island.armor@…

Thanks a lot

Attachments (2)

ar.lproj.zip (273.0 KB) - added by dkocher on Mar 1, 2012 at 8:58:19 AM.
Finished.ar.lproj.zip (267.5 KB) - added by islandarmor on Mar 3, 2012 at 7:40:37 AM.
Finishedfile

Download all attachments as: .zip

Change History (16)

comment:1 Changed on Mar 1, 2012 at 8:57:00 AM by dkocher

  • Component changed from interface to localization
  • Milestone set to 4.3

That would be great! Attached the localization project. You can ignore the *.nib files. These will get updates with scripts taking the translations from the *.strings files.

Changed on Mar 1, 2012 at 8:58:19 AM by dkocher

comment:2 Changed on Mar 1, 2012 at 8:59:27 AM by dkocher

This localization will take some more effort as we will have to manually modify the *.nib files using right-to-left labels.

comment:3 Changed on Mar 1, 2012 at 8:05:03 PM by islandarmor

Grate :) I will try to finish it tonight or tomorrow as maximum

Changed on Mar 3, 2012 at 7:40:37 AM by islandarmor

Finishedfile

comment:4 Changed on Mar 3, 2012 at 7:41:31 AM by islandarmor

Hi, I finished :) I'm not sure about the accuracy in translation , so if possible before publishing it .

Can I review it one more time to see how it will look please ?

I will be glade to provide any more help

Thanks

Last edited on Mar 3, 2012 at 7:42:38 AM by islandarmor (previous) (diff)

comment:5 Changed on Mar 4, 2012 at 10:42:17 AM by dkocher

I will do a snapshot build with the localization included for testing.

comment:6 Changed on Mar 14, 2012 at 9:41:01 PM by dkocher

Sorry this takes longer than anticipated.

comment:7 Changed on Mar 14, 2012 at 10:46:21 PM by islandarmor

It's OK
take your time

comment:8 Changed on Mar 15, 2012 at 10:48:22 AM by dkocher

For future updates make sure not to remove the comment lines with the oid in the *.strings files. These are needed for reference to update the *.nib files.

comment:9 Changed on Mar 15, 2012 at 11:23:08 AM by dkocher

I have commited your localization in r9483. Currently it does not take right-to-left into account in the layout of the user interface widgets. For future updates you can find the files at http://svn.cyberduck.ch/trunk/ar.lproj/.

comment:10 Changed on Mar 15, 2012 at 11:23:17 AM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

comment:11 Changed on Mar 15, 2012 at 11:24:12 AM by dkocher

A new snapshot build with Arabic included is available in a few minutes.

comment:12 follow-up: Changed on Mar 16, 2012 at 6:48:04 AM by islandarmor

It looks good
I edited the files with iLocalize application ! what do you suggest for editing ?
I'm planning to improve the localization but i need some time to do it
Thanks a lot for everything :)

comment:13 in reply to: ↑ 12 Changed on Mar 16, 2012 at 7:55:04 AM by dkocher

Replying to islandarmor:

It looks good
I edited the files with iLocalize application ! what do you suggest for editing ?
I'm planning to improve the localization but i need some time to do it
Thanks a lot for everything :)

I usually suggest to use a plain text UTF-16 aware editor such as TextMate.

comment:14 Changed on Sep 26, 2012 at 4:49:22 PM by dkocher

  • Milestone changed from 4.3 to 4.2.2
Note: See TracTickets for help on using tickets.
swiss made software